
#*****************************************************************************
#* File: lua/modules/ui/game/construction.lua
#* Author: Chris Blackwell / Ted Snook
#* Summary: Construction management UI
#*
#* Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#*****************************************************************************

local UIUtil = import('/lua/ui/uiutil.lua')
local LayoutHelpers = import('/lua/maui/layouthelpers.lua')
local Group = import('/lua/maui/group.lua').Group
local Bitmap = import('/lua/maui/bitmap.lua').Bitmap
local SpecialGrid = import('/lua/ui/controls/specialgrid.lua').SpecialGrid
local Checkbox = import('/lua/maui/checkbox.lua').Checkbox
local Button = import('/lua/maui/button.lua').Button
local Edit = import('/lua/maui/edit.lua').Edit
local StatusBar = import('/lua/maui/statusbar.lua').StatusBar
local GameCommon = import('/lua/ui/game/gamecommon.lua')
local GameMain = import('/lua/ui/game/gamemain.lua')
local RadioGroup = import('/lua/maui/mauiutil.lua').RadioGroup
local Tooltip = import('/lua/ui/game/tooltip.lua')
local TooltipInfo = import('/lua/ui/help/tooltips.lua').Tooltips
local Prefs = import('/lua/user/prefs.lua')
local EnhanceCommon = import('/lua/enhancementcommon.lua')
local Templates = import('/lua/ui/game/build_templates.lua')
local BuildMode = import('/lua/ui/game/buildmode.lua')
local UnitViewDetail = import('/lua/ui/game/unitviewDetail.lua')

local OLDConstruct = import('/lua/ui/game/construction.lua')
local LOGICConstruction = import('/mods/BlackOpsTweaks/hook/lua/ui/game/construction.lua')

#LOG(OLDConstruct.CommonLogic())
#LOG(LOGICConstruction.CommonLogic())
#LOG(LOGICConstruction.OnClickHandler())
#LOGICConstruction.CommonLogic()
		
function GetEnhancementPrefix(unitID, iconID)
		local prefix = ''
    if string.sub(unitID, 2, 2) == 'a' then
        prefix = '/game/aeon-enhancements/'..iconID
        if not DiskGetFileInfo('/textures/ui/common'..prefix..'_btn_up.dds') then
        	prefix = '/mods/BlackOpsTweaks/customicons/aeon-enhancements/'..iconID
        end
    elseif string.sub(unitID, 2, 2) == 'e' then
        prefix = '/game/uef-enhancements/'..iconID
        if not DiskGetFileInfo('/textures/ui/common'..prefix..'_btn_up.dds') then
        	prefix = '/mods/BlackOpsTweaks/customicons/uef-enhancements/'..iconID
        end
    elseif string.sub(unitID, 2, 2) == 'r' then
        prefix = '/game/cybran-enhancements/'..iconID
        if not DiskGetFileInfo('/textures/ui/common'..prefix..'_btn_up.dds') then
        	prefix = '/mods/BlackOpsTweaks/customicons/cybran-enhancements/'..iconID
        end
    elseif string.sub(unitID, 2, 2) == 's' then
        prefix = '/game/seraphim-enhancements/'..iconID
        if not DiskGetFileInfo('/textures/ui/common'..prefix..'_btn_up.dds') then
        	prefix = '/mods/BlackOpsTweaks/customicons/seraphim-enhancements/'..iconID
        end
    end
    return prefix
end

