#****************************************************************************
#**
#**  File     :  /units/aeon/XAB0104/XAB0104_script.lua
#**  Author(s):  Diegobah
#**
#**  Summary  :  Aeon Engineering Bay
#**
#**  
#****************************************************************************
local TPodTowerUnit = import('/lua/terranunits.lua').TPodTowerUnit
local EffectTemplate = import('/lua/EffectTemplates.lua')
#local Entity = import('/lua/sim/Entity.lua').Entity
local utilities = import('/lua/Utilities.lua')
local EffectUtil = import('/lua/EffectUtilities.lua')
#local Unit = import('/lua/sim/Unit.lua')



XAB0104 = Class(TPodTowerUnit) { 

AmbientEffects = 'AMercuryAmbient',

 OnStopBeingBuilt = function ( self, builder, layer)
        self:ForkThread(self.CreatePool)
    TPodTowerUnit.OnStopBeingBuilt( self, builder, layer)
    local army =  self:GetArmy()
    if self.AmbientEffects then
       for k, v in EffectTemplate[self.AmbientEffects] do
                CreateAttachedEmitter(self, 0, army, v)
       end
    end
end,  
    

 CreatePool = function(self, army)
    
    local bp = self:GetBlueprint()
    local x, y, z = unpack(self:GetPosition())
    local mul = 0.5
    local sx = bp.Physics.MeshExtentsX or bp.Footprint.SizeX * mul
    local sz = bp.Physics.MeshExtentsZ or bp.Footprint.SizeZ * mul
    local sy = bp.Physics.MeshExtentsY or sx + sz

 
    WaitSeconds(0.7)

    # Create a pool of mercury
    local BuildBaseEffect = self:CreateProjectile('/effects/entities/AeonBuildEffect/AeonBuildEffect01_proj.bp', 0, 0.8, 0, nil, nil, nil )
    BuildBaseEffect:SetScale(sx * 0.25, sy * 0.25, sz * 0.25)
    BuildBaseEffect:SetOrientation(self:GetOrientation(), true)
    self.Trash:Add(BuildBaseEffect)
end,


}


TypeClass = XAB0104